package jalview.ext.archaeopteryx;

import jalview.analysis.TreeBuilder;
import jalview.gui.Desktop;

import java.awt.Dimension;

import org.forester.archaeopteryx.Archaeopteryx;
import org.forester.archaeopteryx.MainFrame;
import org.forester.phylogeny.Phylogeny;

public class ArchaeopteryxFrame
{

  public static void createInstance(Phylogeny aptxTree)
  {
    new ArchaeopteryxFrame(aptxTree);

  }

  public static void createInstance(
          TreeBuilder calculatedTree)
  {
    new ArchaeopteryxFrame(calculatedTree);

  }

  private ArchaeopteryxFrame(Phylogeny aptxTree)
  {
    MainFrame aptxApp = Archaeopteryx.createApplication(aptxTree);
    start(aptxApp);

  }

  private ArchaeopteryxFrame(TreeBuilder calculatedTree)
  {
    ArchaeopteryxTreeBuilder aptxTreeBuilder = new ArchaeopteryxTreeBuilder();
    Phylogeny aptxTree = aptxTreeBuilder.buildAptxTree(calculatedTree);
    MainFrame aptxApp = Archaeopteryx.createApplication(aptxTree);
    start(aptxApp);
  }



  public void start(MainFrame aptxApp)
  {
    int width = 400;
    int height = 550;
    aptxApp.setMinimumSize(new Dimension(width - 30, height - 50)); // doesn't
                                                                    // work
                                                                    // as it
                                                                    // gets
                                                                    // overridden
                                                                    // during
                                                                    // addInternalFrame?

    Desktop.addInternalFrame(aptxApp, "Archaeopteryx Tree View", width,
            height, true);

  }


}
